<?php

// Destruir dados da sessão toda vez que voltar a página inicial (index)
if (session_status() != PHP_SESSION_ACTIVE) {
  session_start();
}
session_destroy();

require_once($_SERVER['DOCUMENT_ROOT'] . "/topo.php");


$actual_link = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URI]";
$url_atual = "$_SERVER[REQUEST_URI]";
// echo("<br>actual_link: " . $actual_link);
// echo("<br>url_atual: " . $url_atual);

// Usando filter_input para obter e sanitizar o valor do request
$planId = filter_input(INPUT_GET, 'plan', FILTER_VALIDATE_INT);

// Definindo um valor padrão caso não seja passado via GET
if ($planId === false || $planId === null) {
  $planId = 1;
}

?>

<style>
  body {
    color: var(--cinza-escuro);
    background: var(--rosa-pastel-envelhecido);
    /* background: var(--cinza-azulado); */
    /* background: var(--ouro-claro); */
    /* background: var(--prata-private); */
  }
</style>

<div class="container d-flex align-items-center justify-content-center " data-bs-theme="light">
  <div class="row w-100 mx-auto justify-content-center">

    <!-- Coluna da logo -->
    <div class="col-12 col-md-5 col-lg-6 d-flex align-items-center text-center">
      <img src="/assets/img/Logo.png" alt="Logo" class="img-fluid mx-auto d-block" style="max-width: 320px;">
    </div>

    <!-- Coluna do formulário -->
    <div class="col-12 col-md-7 col-lg-5 mt-3 bg-light text-dark text-opacity-75 p-4 rounded shadow">

      <!-- Título principal -->
      <div class="container text-center"> <!-- Container para centralização e margem superior -->
        <h2 class="mb-4" style="color: var(--cinza-rosado);">Bem-Vindo de Volta! 🎉</h2> <!-- Adicionando um emoji para um toque amigável -->
        <p class="lead">Estamos felizes em tê-lo conosco novamente.</p> <!-- Mensagem de boas-vindas adicional -->
      </div>


      <!-- Formulário de Login -->
      <div id="loginForm">
        <!-- <h4 class="mt-3">Entrar</h4> -->
        <form method="post" action="/www.organizedigital.app/src/login/login">
          <input type="hidden" name="csrf_token" value="<?php echo htmlspecialchars($_SESSION['csrf_token']); ?>">
          <input type="hidden" name="action" value="login">

          <div class="input-group mb-3">
            <span class="input-group-text" id="addon_email">
              <i class="material-icons text-opacity-50">mail_outline</i>
            </span>
            <input type="email" class="form-control" name="email" placeholder="E-mail" aria-label="E-mail" aria-describedby="addon_email" required>
          </div>

          <div id="login_failed" class="form-text text-danger" style="display: none;">E-mail e/ou senha inválido(s).</div>

          <div class="input-group mb-3">
            <span class="input-group-text" id="addon_password">
              <i class="material-icons text-opacity-50">lock_open</i>
            </span>
            <input type="password" class="form-control" name="password" placeholder="Senha" aria-label="Senha" aria-describedby="addon_password" required>
          </div>

          <div id="reset_success" class="form-text text-info" style="display: none;">Nova senha cadastrada com sucesso! Logue com a senha nova.</div>

          <p class="mt-2 text-end"><a href="esqueceu_senha">Esqueceu sua senha?</a></p>

          <button type="submit" name="action" value="login" class="btn btn-primary btn-lg w-100">Entrar</button>
        </form>
        <div class="text-center mt-2"> <!-- Div pai com alinhamento centralizado -->
          <p>Ainda não tem uma conta?
            <br><a href="register" class="btn btn-outline-danger fw-bold">Cadastre-se e teste gratuitamente!</a>
          </p>
        </div>
      </div>
    </div>

  </div>
</div>

<!--
<div class="container d-flex align-items-center justify-content-center vh-65" data-bs-theme="light">
  <div class="row">
    <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-5 col-sm-5 col-5">
      <img src="/assets/img/Logo.png" alt="Logo" class="img-fluid mx-auto d-block mb-2" style="max-width: 480px;">
    </div>
    <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-7 col-sm-5 col-5 bg-light text-dark text-opacity-75 p-4 rounded shadow    ">

      <h2 class="text-center mb-4">Seja bem-vindo!</h2>

      <div id="loginForm">
        <h4 class="mt-5">Entrar</h4>
        <form method="post" action="/www.organizedigital.app/src/login/login">
          <input type="hidden" name="csrf_token" value="<?php echo htmlspecialchars($_SESSION['csrf_token']); ?>">
          <input type="hidden" name="action" value="login">

          <div class="input-group mb-3">
            <span class="input-group-text" id="addon_email">
              <i class="material-icons text-opacity-50">mail_outline</i>
            </span>
            <input type="email" class="form-control" name="email" placeholder="E-mail" aria-label="E-mail" aria-describedby="addon_email" required>
          </div>

          <div id="login_failed" class="form-text text-danger" style="display: none;">E-mail e/ou senha inválido(s).</div>

          <div class="input-group mb-3">
            <span class="input-group-text" id="addon_password">
              <i class="material-icons text-opacity-50">lock_open</i>
            </span>
            <input type="password" class="form-control" name="password" placeholder="Senha" aria-label="Senha" aria-describedby="addon_password" required>
          </div>

          <div id="reset_success" class="form-text text-info" style="display: none;">Nova senha cadastrada com sucesso! Logue com a senha nova.</div>

          <p class="mt-2" align="right"><a href="esqueceu_senha">Esqueceu sua senha?</a></p>

          <button type="submit" name="action" value="login" class="btn btn-secondary btn-lg col-12">Entrar</button>
        </form>
        <p class="mt-2">Se ainda não é cadastrado, <a href="register">clique aqui</a> para fazer o cadastro.</p>
      </div>


      <div id="signin_external" style="display: none;">
        <h1 class="mt-5">Login com Contas Externas</h1>
        <a href="signin_external?provider=google" class="btn btn-secondary">Login com Google</a>
        <a href="signin_external?provider=microsoft" class="btn btn-secondary">Login com Microsoft</a>
        <a href="signin_external?provider=apple" class="btn btn-secondary">Login com Apple</a>
      </div>
    </div>
  </div>
</div>
-->

<script>
  $(document).ready(function() {
    // Função para remover parâmetros da URL
    function removeParams() {
      var currentURL = window.location.href;

      if (currentURL.indexOf('?') !== -1) {
        var urlWithoutParams = currentURL.split('?')[0];
        window.history.replaceState({}, document.title, urlWithoutParams);
      }
    }

    // Função para validar o formulário de cadastro
    function validateForm() {
      let email = $("#email").val();
      let confirmEmail = $("#confirm_email").val();
      let password = $("#password").val();
      let confirmPassword = $("#confirm_password").val();

      if (
        (email !== confirmEmail) ||
        (password !== confirmPassword)
      ) {
        if (email !== confirmEmail) {
          $("#email_error").css("display", "block");
          removeParams();
          return false;
        } else {
          $("#email_error").css("display", "none");
          return true;
        }

        if (password !== confirmPassword) {
          $("#password_error").css("display", "block");
          removeParams();
          return false;
        } else {
          $("#password_error").css("display", "none");
          return true;
        }
      }
    }

    // Verificar se há um parâmetro 'error' na URL e exibir a mensagem correspondente
    var urlParams = new URLSearchParams(window.location.search);
    var error = urlParams.get('error');

    if (error === 'email_exists') {
      $('#email_exists').css('display', 'block');
      removeParams();
    } else {
      $('#email_exists').css('display', 'none');
    }


    if (error === 'login_failed') {
      $('#login_failed').css('display', 'block');
      removeParams();
    } else {
      $('#login_failed').css('display', 'none');
    }

    if (error === 'reset_success') {
      $('#reset_success').css('display', 'block');
      removeParams();
    } else {
      $('#reset_success').css('display', 'none');
    }



  });
</script>


<?php include_once($_SERVER['DOCUMENT_ROOT'] . "/rodape.php"); ?>
